FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102130032.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102130032.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44065a4 OS_GIT_VERSION=4.6.0-202102130032.p0-44065a4 SOURCE_DATE_EPOCH=1611756097 SOURCE_GIT_COMMIT=44065a44294073ff6b50873793f10e6891aa7310 SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-97-g44065a442 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
WORKDIR /go/src/sigs.k8s.io/cluster-capacity
COPY . .
RUN go build -o hypercc ./cmd/hypercc

FROM openshift/ose-base:v4.6.0.20210213.010146
ENV __doozer=update BUILD_RELEASE=202102130032.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102130032.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44065a4 OS_GIT_VERSION=4.6.0-202102130032.p0-44065a4 SOURCE_DATE_EPOCH=1611756097 SOURCE_GIT_COMMIT=44065a44294073ff6b50873793f10e6891aa7310 SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-97-g44065a442 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
COPY --from=builder /go/src/sigs.k8s.io/cluster-capacity/hypercc /usr/bin/
RUN ln -sf /usr/bin/hypercc /usr/bin/cluster-capacity
RUN ln -sf /usr/bin/hypercc /usr/bin/genpod
CMD ["/usr/bin/cluster-capacity", "--help"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="This is a component of OpenShift Container Platform and runs Cluster Capacity analysis tool." \
        io.k8s.display-name="OpenShift Container Platform Cluster Capacity" \
        io.openshift.tags="openshift,cluster-capacity" \
        vendor="Red Hat" \
        name="openshift/ose-cluster-capacity" \
        com.redhat.component="openshift-enterprise-cluster-capacity-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202102130032.p0" \
        io.openshift.build.commit.id="44065a44294073ff6b50873793f10e6891aa7310" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-capacity" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-capacity/commit/44065a44294073ff6b50873793f10e6891aa7310" \
        version="v4.6.0"

